Wikimania 2016 Hackathon Goals
Closed, ResolvedPublic

Description

  • Support and promote work on the community wish list
    • analyze the Wikimedia hackathon (Jerusalem) tasks, to see what is unresolved. Wikimedia-Hackathon-2016
    • Compare Wikimania hackathon attendees list, to the prior participants in the associated (phab tasks, wiki pages, gerrit patches, email threads).
    • Create a Wikimania wikipage/section, listing the recommended wishlist tasks.
    • Mass email to participants.
  • Onboard local newcomers
    • Italian Newcomer meeting lead by long term Italian Wikimedia Developers.
    • A Newcomer-specific email, giving recommendations on what to do in the weeks beforehand. More personalized, offering help and resources & pointing to things to do to get ready.
  • Hackathon showcase that shows work done at the hackathons and explains context to all Wikimania participants. T132624: Pre-Wikimania Hackathon 2016 Content Work
    • not necessarily going to get such a nice timing spot this year. (Devs will be working throughout the week, so ending it on day2 won't work.) Also, it's good to have a bigger audience of all the non-devs, to appreciate the devs' work, and utilize it thereafter.
  • Entertain and teach non-technical, tech-curious people
    • Hopefully 2 separate events, so that devs won't be distracted with tons of unrelated discussions.
    • Perhaps a separation/highlight of non-technical phabricator tasks (e.g. product management/requirements lists, design questions, improving the basic "descriptions" with screenshots and updates based on the discussions within, adding templatedata, fixing project png logos, etc). @Aklapper to propose tasks based on Google Code-in's clonable tasks. See also i.e. T127354: Help some smaller Wikipedias' communities by writing the TemplateData and enabling citoid for them
    • Perhaps offer workshops about improving documentation, about basic documentation translation markup.
      • Phab workshop (Rachel), translation (Siebrand), tasks for google code in (Andre), what is community wishlist (Community Tech Team)
  • Provide productive working and meeting space to Wikimedia developers
    • confirm locations (main spaces and quieter areas)
    • confirm dev-fuel (water, caffeine, and sugar)
Rfarrand created this task.Apr 14 2016, 8:31 PM

Supporting Newcomers - we will send an extra email to newcomers. More personalized, offering help and resources & pointing to things to do to get ready.

Italian Newcomer meeting lead by long term Italian Wikimedia Developers.

Non-technical: Phab workshop (Rachel), translation (Siebrand), tasks for google code in (Andre), (what is community wishlist) Community Tech Team

Quiddity updated the task description. (Show Details)Apr 18 2016, 11:07 PM
Qgil renamed this task from Hackathon Goals to Wikimania 2016 Hackathon Goals.Apr 19 2016, 7:52 AM
Qgil updated the task description. (Show Details)

Support and promote work on the community wish list

  • We did this

analyze the Wikimedia hackathon (Jerusalem) tasks, to see what is unresolved. Wikimedia-Hackathon-2016

  • @Quiddity, any chance you can help with specifics here?

Compare Wikimania hackathon attendees list, to the prior participants in the associated (phab tasks, wiki pages, gerrit patches, email threads).

Create a Wikimania wikipage/section, listing the recommended wishlist tasks.
*Not sure if this was specifically done. Nick?

Mass email to participants.
*Done

Onboard local newcomers
*We had an entire track for newcomers

Italian Newcomer meeting lead by long term Italian Wikimedia Developers.
*We did not end up doing this specifically, but we did not end up getting the last minuite local developers that we were anticipating.

A Newcomer-specific email, giving recommendations on what to do in the weeks beforehand.

  • This was done

More personalized, offering help and resources & pointing to things to do to get ready.

  • This was done by email and on the event page

Hackathon showcase that shows work done at the hackathons and explains context to all
Wikimania participants. T132624: Pre-Wikimania Hackathon 2016 Content Work
not necessarily going to get such a nice timing spot this year. (Devs will be working throughout the week, so ending it on day2 won't work.) Also, it's good to have a bigger audience of all the non-devs, to appreciate the devs' work, and utilize it thereafter.

  • This was done, presented 23 projects in 1 hour and 5 min

Entertain and teach non-technical, tech-curious people

  • We did not remove anyone from registration for not having a technical background, we had intro to wikimedia tech sessions, we had a help-desk where people were invited to come and ask questions if they had any.

Hopefully 2 separate events, so that devs won't be distracted with tons of unrelated discussions.
Perhaps a separation/highlight of non-technical phabricator tasks (e.g. product management/requirements lists, design questions, improving the basic "descriptions" with screenshots and updates based on the discussions within, adding templatedata, fixing project png logos, etc). @Aklapper to propose tasks based on Google Code-in's clonable tasks. See also i.e. T127354: Consider helping some smaller Wikipedias' communities (which?) by writing the TemplateData to enable citoid for them
*We had newcomer track in a separate location from the hackathon.

Perhaps offer workshops about improving documentation, about basic documentation translation markup.

  • We did not have too many specific workshops.

Phab workshop (Rachel), translation (Siebrand), tasks for google code in (Andre), what is community wishlist (Community Tech Team)

  • We had phab workshop, translation session, and a community wishlist session

Provide productive working and meeting space to Wikimedia developers
confirm locations (main spaces and quieter areas)

  • Yes

confirm dev-fuel (water, caffeine, and sugar)
*Yes
General
improve https://www.mediawiki.org/wiki/Hackathons/Hackathon_tips_for_organizers
compare the wikipages for prior Hackathons, and adopt good ideas for this year's (and the above docs).

  • Yes

Once we get a few notes from @Quiddity and maybe @Aklapper (once he is back from vacation) we can probably close this task.

analyze the Wikimedia hackathon (Jerusalem) tasks, to see what is unresolved. Wikimedia-Hackathon-2016

  • @Quiddity, any chance you can help with specifics here?

Will do at T137606, over the next couple of days.

Create a Wikimania wikipage/section, listing the recommended wishlist tasks.

  • Not sure if this was specifically done. Nick?

No, we tried to avoid duplication/redundancy/confusion, and also encourage more phabricator usage, by pointing everyone at the list in the phab task.

Mass email to participants.

  • Done

All 3 are now linked at https://www.mediawiki.org/wiki/Hackathons/Hackathon_tips_for_organizers#Welcome_email

confirm dev-fuel (water, caffeine, and sugar)

  • Yes

There was no caffeine available after ~6pm each night when the (highly appreciated!) volunteers packed away the (highly appreciated!) espresso machines. A few people asked about this. Something to improve for next year, perhaps with a simple thermos/urn/dispenser.

Rfarrand closed this task as Resolved.Jul 28 2016, 8:44 PM

This task is complete.

We could have done a better job with on-boarding of Italian developers, however we did not get as many as we were expecting and knew that in advance so did not go through with the plan of an Italian language track.

Qgil awarded a token.Jul 29 2016, 7:28 AM